import { Action, QueryResponse } from '../../client/client.types';
export declare const useQuery: <T = any, R = {}>(action: Action<R>, initFetch?: boolean) => {
    status?: number | undefined;
    error: boolean;
    errorObject?: any;
    payload?: T | undefined;
    headers?: Headers | undefined;
    abort: () => void;
    loading: boolean;
    query: () => Promise<QueryResponse<T>>;
    reset: () => void;
};
