import { QueryResponse } from '../client/client.types';
import { Action, ResponseReducerState } from './responseReducer.types';
export declare const SET_LOADING = "response/loading";
export declare const RESET_LOADING = "response/reset-loading";
export declare const RESET = "response/reset";
export declare const SET_RESPONSE = "response/set";
export declare const responseReducer: <T>(state: ResponseReducerState<T>, action: Action<T>) => {
    loading: boolean;
    response: QueryResponse<T>;
};
